Skip to main content
GET
List project models

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

Query Parameters

visibility
enum<string>

Model visibility. Private means it is scoped to the project. Internal means it is scoped to the organization.

Available options:
VISIBILITY_PRIVATE,
VISIBILITY_INTERNAL
organizationId
string

Organization whose shared models should be included. Defaults to the authenticated project's organization.

limit
integer

Maximum number of models to return.

after
string

Cursor from a previous model list response.

Response

OK

Custom model resources and pagination metadata.

data
object[]
required

The list of models.

object
any
required

Object type. Always list.

next_cursor
string

Cursor for the next page. Null if there are no more results.